set_property PACKAGE_PIN B11 [get_ports FIXED_IO_ps_srstb]
set_property PACKAGE_PIN R6 [get_ports DDR_ras_n]
set_property PACKAGE_PIN C9 [get_ports FIXED_IO_ps_porb]
set_property PACKAGE_PIN K3 [get_ports DDR_odt]
set_property PACKAGE_PIN C13 [get_ports {FIXED_IO_mio[31]}]
set_property PACKAGE_PIN A12 [get_ports {FIXED_IO_mio[30]}]
set_property PACKAGE_PIN D13 [get_ports {FIXED_IO_mio[29]}]
set_property PACKAGE_PIN B12 [get_ports {FIXED_IO_mio[28]}]
set_property PACKAGE_PIN D14 [get_ports {FIXED_IO_mio[27]}]
set_property PACKAGE_PIN A13 [get_ports {FIXED_IO_mio[26]}]
set_property PACKAGE_PIN C14 [get_ports {FIXED_IO_mio[25]}]
set_property PACKAGE_PIN B14 [get_ports {FIXED_IO_mio[24]}]
set_property PACKAGE_PIN A14 [get_ports {FIXED_IO_mio[23]}]
set_property PACKAGE_PIN D15 [get_ports {FIXED_IO_mio[22]}]
set_property PACKAGE_PIN C11 [get_ports {FIXED_IO_mio[21]}]
set_property PACKAGE_PIN E15 [get_ports {FIXED_IO_mio[20]}]
set_property PACKAGE_PIN C12 [get_ports {FIXED_IO_mio[19]}]
set_property PACKAGE_PIN B15 [get_ports {FIXED_IO_mio[18]}]
set_property PACKAGE_PIN D11 [get_ports {FIXED_IO_mio[17]}]
set_property PACKAGE_PIN A15 [get_ports {FIXED_IO_mio[16]}]
set_property PACKAGE_PIN D10 [get_ports {FIXED_IO_mio[15]}]
set_property PACKAGE_PIN B9 [get_ports {FIXED_IO_mio[14]}]
set_property PACKAGE_PIN C6 [get_ports {FIXED_IO_mio[13]}]
set_property PACKAGE_PIN B7 [get_ports {FIXED_IO_mio[12]}]
set_property PACKAGE_PIN B10 [get_ports {FIXED_IO_mio[11]}]
set_property PACKAGE_PIN D6 [get_ports {FIXED_IO_mio[10]}]
set_property PACKAGE_PIN B5 [get_ports {FIXED_IO_mio[9]}]
set_property PACKAGE_PIN B6 [get_ports {FIXED_IO_mio[8]}]
set_property PACKAGE_PIN D9 [get_ports {FIXED_IO_mio[7]}]
set_property PACKAGE_PIN A10 [get_ports {FIXED_IO_mio[6]}]
set_property PACKAGE_PIN A9 [get_ports {FIXED_IO_mio[5]}]
set_property PACKAGE_PIN C8 [get_ports {FIXED_IO_mio[4]}]
set_property PACKAGE_PIN A7 [get_ports {FIXED_IO_mio[3]}]
set_property PACKAGE_PIN A8 [get_ports {FIXED_IO_mio[2]}]
set_property PACKAGE_PIN A5 [get_ports {FIXED_IO_mio[1]}]
set_property PACKAGE_PIN D8 [get_ports {FIXED_IO_mio[0]}]
set_property PACKAGE_PIN L4 [get_ports DDR_reset_n]
set_property PACKAGE_PIN R3 [get_ports DDR_we_n]
set_property PACKAGE_PIN J3 [get_ports FIXED_IO_ddr_vrn]
set_property PACKAGE_PIN H3 [get_ports FIXED_IO_ddr_vrp]
set_property PACKAGE_PIN P1 [get_ports {DDR_addr[0]}]
set_property PACKAGE_PIN N1 [get_ports {DDR_addr[1]}]
set_property PACKAGE_PIN M1 [get_ports {DDR_addr[2]}]
set_property PACKAGE_PIN M4 [get_ports {DDR_addr[3]}]
set_property PACKAGE_PIN P3 [get_ports {DDR_addr[4]}]
set_property PACKAGE_PIN P4 [get_ports {DDR_addr[5]}]
set_property PACKAGE_PIN P5 [get_ports {DDR_addr[6]}]
set_property PACKAGE_PIN M5 [get_ports {DDR_addr[7]}]
set_property PACKAGE_PIN P6 [get_ports {DDR_addr[8]}]
set_property PACKAGE_PIN N4 [get_ports {DDR_addr[9]}]
set_property PACKAGE_PIN J1 [get_ports {DDR_addr[10]}]
set_property PACKAGE_PIN L2 [get_ports {DDR_addr[11]}]
set_property PACKAGE_PIN M2 [get_ports {DDR_addr[12]}]
set_property PACKAGE_PIN K1 [get_ports {DDR_addr[14]}]
set_property PACKAGE_PIN K2 [get_ports {DDR_addr[13]}]
set_property PACKAGE_PIN M6 [get_ports {DDR_ba[0]}]
set_property PACKAGE_PIN R1 [get_ports {DDR_ba[1]}]
set_property PACKAGE_PIN N6 [get_ports {DDR_ba[2]}]
set_property PACKAGE_PIN R5 [get_ports DDR_cas_n]
set_property PACKAGE_PIN L3 [get_ports DDR_cke]
set_property PACKAGE_PIN N2 [get_ports DDR_ck_n]
set_property PACKAGE_PIN N3 [get_ports DDR_ck_p]
set_property PACKAGE_PIN C7 [get_ports FIXED_IO_ps_clk]
set_property PACKAGE_PIN R2 [get_ports DDR_cs_n]
set_property PACKAGE_PIN B1 [get_ports {DDR_dm[0]}]
set_property PACKAGE_PIN D3 [get_ports {DDR_dm[1]}]
set_property PACKAGE_PIN D4 [get_ports {DDR_dq[0]}]
set_property PACKAGE_PIN A2 [get_ports {DDR_dq[1]}]
set_property PACKAGE_PIN C4 [get_ports {DDR_dq[2]}]
set_property PACKAGE_PIN C1 [get_ports {DDR_dq[3]}]
set_property PACKAGE_PIN B4 [get_ports {DDR_dq[4]}]
set_property PACKAGE_PIN A4 [get_ports {DDR_dq[5]}]
set_property PACKAGE_PIN C3 [get_ports {DDR_dq[6]}]
set_property PACKAGE_PIN A3 [get_ports {DDR_dq[7]}]
set_property PACKAGE_PIN E1 [get_ports {DDR_dq[8]}]
set_property PACKAGE_PIN D1 [get_ports {DDR_dq[9]}]
set_property PACKAGE_PIN E2 [get_ports {DDR_dq[10]}]
set_property PACKAGE_PIN E3 [get_ports {DDR_dq[11]}]
set_property PACKAGE_PIN F3 [get_ports {DDR_dq[12]}]
set_property PACKAGE_PIN G1 [get_ports {DDR_dq[13]}]
set_property PACKAGE_PIN H1 [get_ports {DDR_dq[14]}]
set_property PACKAGE_PIN H2 [get_ports {DDR_dq[15]}]
set_property PACKAGE_PIN B2 [get_ports {DDR_dqs_n[0]}]
set_property PACKAGE_PIN F2 [get_ports {DDR_dqs_n[1]}]
set_property PACKAGE_PIN C2 [get_ports {DDR_dqs_p[0]}]
set_property PACKAGE_PIN G2 [get_ports {DDR_dqs_p[1]}]
set_property PACKAGE_PIN G11 [get_ports {CEC_A[0]}]
set_property PACKAGE_PIN H13 [get_ports HPD_A]
set_property PACKAGE_PIN G14 [get_ports {GLED[0]}]
set_property PACKAGE_PIN G12 [get_ports IIC_A_scl_io]
set_property PACKAGE_PIN H12 [get_ports IIC_A_sda_io]
set_property PACKAGE_PIN K12 [get_ports {CT_HPD[0]}]
set_property PACKAGE_PIN F12 [get_ports HDMI_TXC_P]
set_property PACKAGE_PIN E13 [get_ports HDMI_TXC_N]
set_property PACKAGE_PIN E11 [get_ports {HDMI_TX_P[0]}]
set_property PACKAGE_PIN E12 [get_ports {HDMI_TX_N[0]}]
set_property PACKAGE_PIN G15 [get_ports {HDMI_TX_P[1]}]
set_property PACKAGE_PIN F15 [get_ports {HDMI_TX_N[1]}]
set_property PACKAGE_PIN F13 [get_ports {HDMI_TX_P[2]}]
set_property PACKAGE_PIN F14 [get_ports {HDMI_TX_N[2]}]
set_property PACKAGE_PIN J11 [get_ports {GPIO_tri_io[0]}]
set_property PACKAGE_PIN H11 [get_ports {GPIO_tri_io[1]}]
set_property PACKAGE_PIN J15 [get_ports {GPIO_tri_io[2]}]
set_property PACKAGE_PIN L15 [get_ports {GPIO_tri_io[3]}]
set_property PACKAGE_PIN N13 [get_ports {GPIO_tri_io[4]}]
set_property PACKAGE_PIN P8 [get_ports {GPIO_tri_io[5]}]
set_property PACKAGE_PIN M10 [get_ports {GPIO_tri_io[6]}]
set_property PACKAGE_PIN L12 [get_ports {GPIO_tri_io[7]}]
set_property PACKAGE_PIN M11 [get_ports {GPIO_tri_io[8]}]
set_property PACKAGE_PIN P10 [get_ports {GPIO_tri_io[9]}]
set_property PACKAGE_PIN P9 [get_ports {GPIO_tri_io[10]}]
set_property PACKAGE_PIN K15 [get_ports {GPIO_tri_io[11]}]
set_property PACKAGE_PIN M9 [get_ports {GPIO_tri_io[12]}]
set_property PACKAGE_PIN L13 [get_ports {GPIO_tri_io[13]}]
set_property PACKAGE_PIN L14 [get_ports {GPIO_tri_io[14]}]
set_property PACKAGE_PIN M15 [get_ports {GPIO_tri_io[15]}]
set_property PACKAGE_PIN J14 [get_ports {GPIO_tri_io[16]}]
set_property PACKAGE_PIN N14 [get_ports {GPIO_tri_io[17]}]
set_property PACKAGE_PIN K11 [get_ports {GPIO_tri_io[18]}]
set_property PACKAGE_PIN N9 [get_ports {GPIO_tri_io[19]}]
set_property PACKAGE_PIN J13 [get_ports {GPIO_tri_io[20]}]
set_property PACKAGE_PIN H14 [get_ports {GPIO_tri_io[21]}]
set_property PACKAGE_PIN R10 [get_ports {GPIO_tri_io[22]}]
set_property PACKAGE_PIN M14 [get_ports {GPIO_tri_io[23]}]
set_property PACKAGE_PIN P15 [get_ports {GPIO_tri_io[24]}]
set_property PACKAGE_PIN M12 [get_ports {GPIO_tri_io[25]}]
set_property PACKAGE_PIN K13 [get_ports {GPIO_tri_io[26]}]
set_property PACKAGE_PIN R15 [get_ports {GPIO_tri_io[27]}]
set_property PACKAGE_PIN N11 [get_ports CSI_C_P]
set_property PACKAGE_PIN N12 [get_ports CSI_C_N]
set_property PACKAGE_PIN R7 [get_ports {CSI_D_P[0]}]
set_property PACKAGE_PIN R8 [get_ports {CSI_D_N[0]}]
set_property PACKAGE_PIN R12 [get_ports {CSI_D_P[1]}]
set_property PACKAGE_PIN R13 [get_ports {CSI_D_N[1]}]
set_property PACKAGE_PIN N8 [get_ports {CLP_D_N[0]}]
set_property PACKAGE_PIN N7 [get_ports {CLP_D_P[0]}]
set_property PACKAGE_PIN P14 [get_ports {CLP_D_N[1]}]
set_property PACKAGE_PIN P13 [get_ports {CLP_D_P[1]}]
set_property INTERNAL_VREF 0.6 [get_iobanks 34]
set_property DIRECTION OUT [get_ports {CEC_A[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {CEC_A[0]}]
set_property DRIVE 12 [get_ports {CEC_A[0]}]
set_property SLEW SLOW [get_ports {CEC_A[0]}]
set_property DIRECTION IN [get_ports {CLP_D_N[1]}]
set_property IOSTANDARD HSUL_12 [get_ports {CLP_D_N[1]}]
set_property PULLDOWN true [get_ports {CLP_D_N[1]}]
set_property DIRECTION IN [get_ports {CLP_D_N[0]}]
set_property IOSTANDARD HSUL_12 [get_ports {CLP_D_N[0]}]
set_property PULLDOWN true [get_ports {CLP_D_N[0]}]
set_property DIRECTION IN [get_ports {CLP_D_P[1]}]
set_property IOSTANDARD HSUL_12 [get_ports {CLP_D_P[1]}]
set_property PULLDOWN true [get_ports {CLP_D_P[1]}]
set_property DIRECTION IN [get_ports {CLP_D_P[0]}]
set_property IOSTANDARD HSUL_12 [get_ports {CLP_D_P[0]}]
set_property PULLDOWN true [get_ports {CLP_D_P[0]}]
set_property DIRECTION IN [get_ports {CSI_D_N[1]}]
set_property IOSTANDARD LVDS_25 [get_ports {CSI_D_N[1]}]
set_property DIFF_TERM FALSE [get_ports {CSI_D_N[1]}]
set_property DIRECTION IN [get_ports {CSI_D_N[0]}]
set_property IOSTANDARD LVDS_25 [get_ports {CSI_D_N[0]}]
set_property DIFF_TERM FALSE [get_ports {CSI_D_N[0]}]
set_property DIRECTION IN [get_ports {CSI_D_P[1]}]
set_property IOSTANDARD LVDS_25 [get_ports {CSI_D_P[1]}]
set_property DIFF_TERM FALSE [get_ports {CSI_D_P[1]}]
set_property DIRECTION IN [get_ports {CSI_D_P[0]}]
set_property IOSTANDARD LVDS_25 [get_ports {CSI_D_P[0]}]
set_property DIFF_TERM FALSE [get_ports {CSI_D_P[0]}]
set_property DIRECTION OUT [get_ports {CT_HPD[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {CT_HPD[0]}]
set_property DRIVE 12 [get_ports {CT_HPD[0]}]
set_property SLEW SLOW [get_ports {CT_HPD[0]}]
set_property DIRECTION OUT [get_ports {HDMI_TX_N[2]}]
set_property IOSTANDARD TMDS_33 [get_ports {HDMI_TX_N[2]}]
set_property DIRECTION OUT [get_ports {HDMI_TX_N[1]}]
set_property IOSTANDARD TMDS_33 [get_ports {HDMI_TX_N[1]}]
set_property DIRECTION OUT [get_ports {HDMI_TX_N[0]}]
set_property IOSTANDARD TMDS_33 [get_ports {HDMI_TX_N[0]}]
set_property DIRECTION OUT [get_ports {HDMI_TX_P[2]}]
set_property IOSTANDARD TMDS_33 [get_ports {HDMI_TX_P[2]}]
set_property DIRECTION OUT [get_ports {HDMI_TX_P[1]}]
set_property IOSTANDARD TMDS_33 [get_ports {HDMI_TX_P[1]}]
set_property DIRECTION OUT [get_ports {HDMI_TX_P[0]}]
set_property IOSTANDARD TMDS_33 [get_ports {HDMI_TX_P[0]}]
set_property DIRECTION IN [get_ports CSI_C_N]
set_property IOSTANDARD LVDS_25 [get_ports CSI_C_N]
set_property DIFF_TERM FALSE [get_ports CSI_C_N]
set_property DIRECTION IN [get_ports CSI_C_P]
set_property IOSTANDARD LVDS_25 [get_ports CSI_C_P]
set_property DIFF_TERM FALSE [get_ports CSI_C_P]
set_property DIRECTION OUT [get_ports HDMI_TXC_P]
set_property IOSTANDARD TMDS_33 [get_ports HDMI_TXC_P]
set_property DIRECTION OUT [get_ports HDMI_TXC_N]
set_property IOSTANDARD TMDS_33 [get_ports HDMI_TXC_N]
set_property DIRECTION IN [get_ports HPD_A]
set_property IOSTANDARD LVCMOS33 [get_ports HPD_A]
set_property DIRECTION INOUT [get_ports IIC_A_scl_io]
set_property IOSTANDARD LVCMOS33 [get_ports IIC_A_scl_io]
set_property DRIVE 12 [get_ports IIC_A_scl_io]
set_property SLEW SLOW [get_ports IIC_A_scl_io]
set_property DIRECTION INOUT [get_ports IIC_A_sda_io]
set_property IOSTANDARD LVCMOS33 [get_ports IIC_A_sda_io]
set_property DRIVE 12 [get_ports IIC_A_sda_io]
set_property SLEW SLOW [get_ports IIC_A_sda_io]
set_property DIRECTION OUT [get_ports {GLED[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {GLED[0]}]
set_property DRIVE 12 [get_ports {GLED[0]}]
set_property SLEW SLOW [get_ports {GLED[0]}]
set_property DIRECTION INOUT [get_ports {GPIO_tri_io[27]}]
set_property IOSTANDARD LVCMOS33 [get_ports {GPIO_tri_io[27]}]
set_property DRIVE 12 [get_ports {GPIO_tri_io[27]}]
set_property SLEW SLOW [get_ports {GPIO_tri_io[27]}]
set_property DIRECTION INOUT [get_ports {GPIO_tri_io[26]}]
set_property IOSTANDARD LVCMOS33 [get_ports {GPIO_tri_io[26]}]
set_property DRIVE 12 [get_ports {GPIO_tri_io[26]}]
set_property SLEW SLOW [get_ports {GPIO_tri_io[26]}]
set_property DIRECTION INOUT [get_ports {GPIO_tri_io[25]}]
set_property IOSTANDARD LVCMOS33 [get_ports {GPIO_tri_io[25]}]
set_property DRIVE 12 [get_ports {GPIO_tri_io[25]}]
set_property SLEW SLOW [get_ports {GPIO_tri_io[25]}]
set_property DIRECTION INOUT [get_ports {GPIO_tri_io[24]}]
set_property IOSTANDARD LVCMOS33 [get_ports {GPIO_tri_io[24]}]
set_property DRIVE 12 [get_ports {GPIO_tri_io[24]}]
set_property SLEW SLOW [get_ports {GPIO_tri_io[24]}]
set_property DIRECTION INOUT [get_ports {GPIO_tri_io[23]}]
set_property IOSTANDARD LVCMOS33 [get_ports {GPIO_tri_io[23]}]
set_property DRIVE 12 [get_ports {GPIO_tri_io[23]}]
set_property SLEW SLOW [get_ports {GPIO_tri_io[23]}]
set_property DIRECTION INOUT [get_ports {GPIO_tri_io[22]}]
set_property IOSTANDARD LVCMOS33 [get_ports {GPIO_tri_io[22]}]
set_property DRIVE 12 [get_ports {GPIO_tri_io[22]}]
set_property SLEW SLOW [get_ports {GPIO_tri_io[22]}]
set_property DIRECTION INOUT [get_ports {GPIO_tri_io[21]}]
set_property IOSTANDARD LVCMOS33 [get_ports {GPIO_tri_io[21]}]
set_property DRIVE 12 [get_ports {GPIO_tri_io[21]}]
set_property SLEW SLOW [get_ports {GPIO_tri_io[21]}]
set_property DIRECTION INOUT [get_ports {GPIO_tri_io[20]}]
set_property IOSTANDARD LVCMOS33 [get_ports {GPIO_tri_io[20]}]
set_property DRIVE 12 [get_ports {GPIO_tri_io[20]}]
set_property SLEW SLOW [get_ports {GPIO_tri_io[20]}]
set_property DIRECTION INOUT [get_ports {GPIO_tri_io[19]}]
set_property IOSTANDARD LVCMOS33 [get_ports {GPIO_tri_io[19]}]
set_property DRIVE 12 [get_ports {GPIO_tri_io[19]}]
set_property SLEW SLOW [get_ports {GPIO_tri_io[19]}]
set_property DIRECTION INOUT [get_ports {GPIO_tri_io[18]}]
set_property IOSTANDARD LVCMOS33 [get_ports {GPIO_tri_io[18]}]
set_property DRIVE 12 [get_ports {GPIO_tri_io[18]}]
set_property SLEW SLOW [get_ports {GPIO_tri_io[18]}]
set_property DIRECTION INOUT [get_ports {GPIO_tri_io[17]}]
set_property IOSTANDARD LVCMOS33 [get_ports {GPIO_tri_io[17]}]
set_property DRIVE 12 [get_ports {GPIO_tri_io[17]}]
set_property SLEW SLOW [get_ports {GPIO_tri_io[17]}]
set_property DIRECTION INOUT [get_ports {GPIO_tri_io[16]}]
set_property IOSTANDARD LVCMOS33 [get_ports {GPIO_tri_io[16]}]
set_property DRIVE 12 [get_ports {GPIO_tri_io[16]}]
set_property SLEW SLOW [get_ports {GPIO_tri_io[16]}]
set_property DIRECTION INOUT [get_ports {GPIO_tri_io[15]}]
set_property IOSTANDARD LVCMOS33 [get_ports {GPIO_tri_io[15]}]
set_property DRIVE 12 [get_ports {GPIO_tri_io[15]}]
set_property SLEW SLOW [get_ports {GPIO_tri_io[15]}]
set_property DIRECTION INOUT [get_ports {GPIO_tri_io[14]}]
set_property IOSTANDARD LVCMOS33 [get_ports {GPIO_tri_io[14]}]
set_property DRIVE 12 [get_ports {GPIO_tri_io[14]}]
set_property SLEW SLOW [get_ports {GPIO_tri_io[14]}]
set_property DIRECTION INOUT [get_ports {GPIO_tri_io[13]}]
set_property IOSTANDARD LVCMOS33 [get_ports {GPIO_tri_io[13]}]
set_property DRIVE 12 [get_ports {GPIO_tri_io[13]}]
set_property SLEW SLOW [get_ports {GPIO_tri_io[13]}]
set_property DIRECTION INOUT [get_ports {GPIO_tri_io[12]}]
set_property IOSTANDARD LVCMOS33 [get_ports {GPIO_tri_io[12]}]
set_property DRIVE 12 [get_ports {GPIO_tri_io[12]}]
set_property SLEW SLOW [get_ports {GPIO_tri_io[12]}]
set_property DIRECTION INOUT [get_ports {GPIO_tri_io[11]}]
set_property IOSTANDARD LVCMOS33 [get_ports {GPIO_tri_io[11]}]
set_property DRIVE 12 [get_ports {GPIO_tri_io[11]}]
set_property SLEW SLOW [get_ports {GPIO_tri_io[11]}]
set_property DIRECTION INOUT [get_ports {GPIO_tri_io[10]}]
set_property IOSTANDARD LVCMOS33 [get_ports {GPIO_tri_io[10]}]
set_property DRIVE 12 [get_ports {GPIO_tri_io[10]}]
set_property SLEW SLOW [get_ports {GPIO_tri_io[10]}]
set_property DIRECTION INOUT [get_ports {GPIO_tri_io[9]}]
set_property IOSTANDARD LVCMOS33 [get_ports {GPIO_tri_io[9]}]
set_property DRIVE 12 [get_ports {GPIO_tri_io[9]}]
set_property SLEW SLOW [get_ports {GPIO_tri_io[9]}]
set_property DIRECTION INOUT [get_ports {GPIO_tri_io[8]}]
set_property IOSTANDARD LVCMOS33 [get_ports {GPIO_tri_io[8]}]
set_property DRIVE 12 [get_ports {GPIO_tri_io[8]}]
set_property SLEW SLOW [get_ports {GPIO_tri_io[8]}]
set_property DIRECTION INOUT [get_ports {GPIO_tri_io[7]}]
set_property IOSTANDARD LVCMOS33 [get_ports {GPIO_tri_io[7]}]
set_property DRIVE 12 [get_ports {GPIO_tri_io[7]}]
set_property SLEW SLOW [get_ports {GPIO_tri_io[7]}]
set_property DIRECTION INOUT [get_ports {GPIO_tri_io[6]}]
set_property IOSTANDARD LVCMOS33 [get_ports {GPIO_tri_io[6]}]
set_property DRIVE 12 [get_ports {GPIO_tri_io[6]}]
set_property SLEW SLOW [get_ports {GPIO_tri_io[6]}]
set_property DIRECTION INOUT [get_ports {GPIO_tri_io[5]}]
set_property IOSTANDARD LVCMOS33 [get_ports {GPIO_tri_io[5]}]
set_property DRIVE 12 [get_ports {GPIO_tri_io[5]}]
set_property SLEW SLOW [get_ports {GPIO_tri_io[5]}]
set_property DIRECTION INOUT [get_ports {GPIO_tri_io[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {GPIO_tri_io[4]}]
set_property DRIVE 12 [get_ports {GPIO_tri_io[4]}]
set_property SLEW SLOW [get_ports {GPIO_tri_io[4]}]
set_property DIRECTION INOUT [get_ports {GPIO_tri_io[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {GPIO_tri_io[3]}]
set_property DRIVE 12 [get_ports {GPIO_tri_io[3]}]
set_property SLEW SLOW [get_ports {GPIO_tri_io[3]}]
set_property DIRECTION INOUT [get_ports {GPIO_tri_io[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {GPIO_tri_io[2]}]
set_property DRIVE 12 [get_ports {GPIO_tri_io[2]}]
set_property SLEW SLOW [get_ports {GPIO_tri_io[2]}]
set_property DIRECTION INOUT [get_ports {GPIO_tri_io[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {GPIO_tri_io[1]}]
set_property DRIVE 12 [get_ports {GPIO_tri_io[1]}]
set_property SLEW SLOW [get_ports {GPIO_tri_io[1]}]
set_property DIRECTION INOUT [get_ports {GPIO_tri_io[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {GPIO_tri_io[0]}]
set_property DRIVE 12 [get_ports {GPIO_tri_io[0]}]
set_property SLEW SLOW [get_ports {GPIO_tri_io[0]}]
set_property DIRECTION INOUT [get_ports {FIXED_IO_mio[31]}]
set_property IOSTANDARD LVCMOS33 [get_ports {FIXED_IO_mio[31]}]
set_property DRIVE 8 [get_ports {FIXED_IO_mio[31]}]
set_property SLEW SLOW [get_ports {FIXED_IO_mio[31]}]
set_property PULLUP true [get_ports {FIXED_IO_mio[31]}]
set_property DIRECTION INOUT [get_ports {FIXED_IO_mio[30]}]
set_property IOSTANDARD LVCMOS33 [get_ports {FIXED_IO_mio[30]}]
set_property DRIVE 8 [get_ports {FIXED_IO_mio[30]}]
set_property SLEW SLOW [get_ports {FIXED_IO_mio[30]}]
set_property PULLUP true [get_ports {FIXED_IO_mio[30]}]
set_property DIRECTION INOUT [get_ports {FIXED_IO_mio[29]}]
set_property IOSTANDARD LVCMOS33 [get_ports {FIXED_IO_mio[29]}]
set_property DRIVE 8 [get_ports {FIXED_IO_mio[29]}]
set_property SLEW SLOW [get_ports {FIXED_IO_mio[29]}]
set_property PULLUP true [get_ports {FIXED_IO_mio[29]}]
set_property DIRECTION INOUT [get_ports {FIXED_IO_mio[28]}]
set_property IOSTANDARD LVCMOS33 [get_ports {FIXED_IO_mio[28]}]
set_property DRIVE 8 [get_ports {FIXED_IO_mio[28]}]
set_property SLEW SLOW [get_ports {FIXED_IO_mio[28]}]
set_property PULLUP true [get_ports {FIXED_IO_mio[28]}]
set_property DIRECTION INOUT [get_ports {FIXED_IO_mio[27]}]
set_property IOSTANDARD LVCMOS33 [get_ports {FIXED_IO_mio[27]}]
set_property DRIVE 8 [get_ports {FIXED_IO_mio[27]}]
set_property SLEW SLOW [get_ports {FIXED_IO_mio[27]}]
set_property PULLUP true [get_ports {FIXED_IO_mio[27]}]
set_property DIRECTION INOUT [get_ports {FIXED_IO_mio[26]}]
set_property IOSTANDARD LVCMOS33 [get_ports {FIXED_IO_mio[26]}]
set_property DRIVE 8 [get_ports {FIXED_IO_mio[26]}]
set_property SLEW SLOW [get_ports {FIXED_IO_mio[26]}]
set_property PULLUP true [get_ports {FIXED_IO_mio[26]}]
set_property DIRECTION INOUT [get_ports {FIXED_IO_mio[25]}]
set_property IOSTANDARD LVCMOS33 [get_ports {FIXED_IO_mio[25]}]
set_property DRIVE 8 [get_ports {FIXED_IO_mio[25]}]
set_property SLEW SLOW [get_ports {FIXED_IO_mio[25]}]
set_property PULLUP true [get_ports {FIXED_IO_mio[25]}]
set_property DIRECTION INOUT [get_ports {FIXED_IO_mio[24]}]
set_property IOSTANDARD LVCMOS33 [get_ports {FIXED_IO_mio[24]}]
set_property DRIVE 8 [get_ports {FIXED_IO_mio[24]}]
set_property SLEW SLOW [get_ports {FIXED_IO_mio[24]}]
set_property PULLUP true [get_ports {FIXED_IO_mio[24]}]
set_property DIRECTION INOUT [get_ports {FIXED_IO_mio[23]}]
set_property IOSTANDARD LVCMOS33 [get_ports {FIXED_IO_mio[23]}]
set_property DRIVE 8 [get_ports {FIXED_IO_mio[23]}]
set_property SLEW SLOW [get_ports {FIXED_IO_mio[23]}]
set_property PULLUP true [get_ports {FIXED_IO_mio[23]}]
set_property DIRECTION INOUT [get_ports {FIXED_IO_mio[22]}]
set_property IOSTANDARD LVCMOS33 [get_ports {FIXED_IO_mio[22]}]
set_property DRIVE 8 [get_ports {FIXED_IO_mio[22]}]
set_property SLEW SLOW [get_ports {FIXED_IO_mio[22]}]
set_property PULLUP true [get_ports {FIXED_IO_mio[22]}]
set_property DIRECTION INOUT [get_ports {FIXED_IO_mio[21]}]
set_property IOSTANDARD LVCMOS33 [get_ports {FIXED_IO_mio[21]}]
set_property DRIVE 8 [get_ports {FIXED_IO_mio[21]}]
set_property SLEW SLOW [get_ports {FIXED_IO_mio[21]}]
set_property PULLUP true [get_ports {FIXED_IO_mio[21]}]
set_property DIRECTION INOUT [get_ports {FIXED_IO_mio[20]}]
set_property IOSTANDARD LVCMOS33 [get_ports {FIXED_IO_mio[20]}]
set_property DRIVE 8 [get_ports {FIXED_IO_mio[20]}]
set_property SLEW SLOW [get_ports {FIXED_IO_mio[20]}]
set_property PULLUP true [get_ports {FIXED_IO_mio[20]}]
set_property DIRECTION INOUT [get_ports {FIXED_IO_mio[19]}]
set_property IOSTANDARD LVCMOS33 [get_ports {FIXED_IO_mio[19]}]
set_property DRIVE 8 [get_ports {FIXED_IO_mio[19]}]
set_property SLEW SLOW [get_ports {FIXED_IO_mio[19]}]
set_property PULLUP true [get_ports {FIXED_IO_mio[19]}]
set_property DIRECTION INOUT [get_ports {FIXED_IO_mio[18]}]
set_property IOSTANDARD LVCMOS33 [get_ports {FIXED_IO_mio[18]}]
set_property DRIVE 8 [get_ports {FIXED_IO_mio[18]}]
set_property SLEW SLOW [get_ports {FIXED_IO_mio[18]}]
set_property PULLUP true [get_ports {FIXED_IO_mio[18]}]
set_property DIRECTION INOUT [get_ports {FIXED_IO_mio[17]}]
set_property IOSTANDARD LVCMOS33 [get_ports {FIXED_IO_mio[17]}]
set_property DRIVE 8 [get_ports {FIXED_IO_mio[17]}]
set_property SLEW SLOW [get_ports {FIXED_IO_mio[17]}]
set_property PULLUP true [get_ports {FIXED_IO_mio[17]}]
set_property DIRECTION INOUT [get_ports {FIXED_IO_mio[16]}]
set_property IOSTANDARD LVCMOS33 [get_ports {FIXED_IO_mio[16]}]
set_property DRIVE 8 [get_ports {FIXED_IO_mio[16]}]
set_property SLEW SLOW [get_ports {FIXED_IO_mio[16]}]
set_property PULLUP true [get_ports {FIXED_IO_mio[16]}]
set_property DIRECTION INOUT [get_ports {FIXED_IO_mio[15]}]
set_property IOSTANDARD LVCMOS33 [get_ports {FIXED_IO_mio[15]}]
set_property DRIVE 8 [get_ports {FIXED_IO_mio[15]}]
set_property SLEW SLOW [get_ports {FIXED_IO_mio[15]}]
set_property DIRECTION INOUT [get_ports {FIXED_IO_mio[14]}]
set_property IOSTANDARD LVCMOS33 [get_ports {FIXED_IO_mio[14]}]
set_property DRIVE 8 [get_ports {FIXED_IO_mio[14]}]
set_property SLEW SLOW [get_ports {FIXED_IO_mio[14]}]
set_property DIRECTION INOUT [get_ports {FIXED_IO_mio[13]}]
set_property IOSTANDARD LVCMOS33 [get_ports {FIXED_IO_mio[13]}]
set_property DRIVE 8 [get_ports {FIXED_IO_mio[13]}]
set_property SLEW SLOW [get_ports {FIXED_IO_mio[13]}]
set_property DIRECTION INOUT [get_ports {FIXED_IO_mio[12]}]
set_property IOSTANDARD LVCMOS33 [get_ports {FIXED_IO_mio[12]}]
set_property DRIVE 8 [get_ports {FIXED_IO_mio[12]}]
set_property SLEW SLOW [get_ports {FIXED_IO_mio[12]}]
set_property DIRECTION INOUT [get_ports {FIXED_IO_mio[11]}]
set_property IOSTANDARD LVCMOS33 [get_ports {FIXED_IO_mio[11]}]
set_property DRIVE 8 [get_ports {FIXED_IO_mio[11]}]
set_property SLEW SLOW [get_ports {FIXED_IO_mio[11]}]
set_property DIRECTION INOUT [get_ports {FIXED_IO_mio[10]}]
set_property IOSTANDARD LVCMOS33 [get_ports {FIXED_IO_mio[10]}]
set_property DRIVE 8 [get_ports {FIXED_IO_mio[10]}]
set_property SLEW SLOW [get_ports {FIXED_IO_mio[10]}]
set_property DIRECTION INOUT [get_ports {FIXED_IO_mio[9]}]
set_property IOSTANDARD LVCMOS33 [get_ports {FIXED_IO_mio[9]}]
set_property DRIVE 8 [get_ports {FIXED_IO_mio[9]}]
set_property SLEW SLOW [get_ports {FIXED_IO_mio[9]}]
set_property PULLUP true [get_ports {FIXED_IO_mio[9]}]
set_property DIRECTION INOUT [get_ports {FIXED_IO_mio[8]}]
set_property IOSTANDARD LVCMOS33 [get_ports {FIXED_IO_mio[8]}]
set_property DRIVE 8 [get_ports {FIXED_IO_mio[8]}]
set_property SLEW SLOW [get_ports {FIXED_IO_mio[8]}]
set_property DIRECTION INOUT [get_ports {FIXED_IO_mio[7]}]
set_property IOSTANDARD LVCMOS33 [get_ports {FIXED_IO_mio[7]}]
set_property DRIVE 8 [get_ports {FIXED_IO_mio[7]}]
set_property SLEW SLOW [get_ports {FIXED_IO_mio[7]}]
set_property DIRECTION INOUT [get_ports {FIXED_IO_mio[6]}]
set_property IOSTANDARD LVCMOS33 [get_ports {FIXED_IO_mio[6]}]
set_property DRIVE 8 [get_ports {FIXED_IO_mio[6]}]
set_property SLEW SLOW [get_ports {FIXED_IO_mio[6]}]
set_property DIRECTION INOUT [get_ports {FIXED_IO_mio[5]}]
set_property IOSTANDARD LVCMOS33 [get_ports {FIXED_IO_mio[5]}]
set_property DRIVE 8 [get_ports {FIXED_IO_mio[5]}]
set_property SLEW SLOW [get_ports {FIXED_IO_mio[5]}]
set_property DIRECTION INOUT [get_ports {FIXED_IO_mio[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {FIXED_IO_mio[4]}]
set_property DRIVE 8 [get_ports {FIXED_IO_mio[4]}]
set_property SLEW SLOW [get_ports {FIXED_IO_mio[4]}]
set_property DIRECTION INOUT [get_ports {FIXED_IO_mio[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {FIXED_IO_mio[3]}]
set_property DRIVE 8 [get_ports {FIXED_IO_mio[3]}]
set_property SLEW SLOW [get_ports {FIXED_IO_mio[3]}]
set_property DIRECTION INOUT [get_ports {FIXED_IO_mio[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {FIXED_IO_mio[2]}]
set_property DRIVE 8 [get_ports {FIXED_IO_mio[2]}]
set_property SLEW SLOW [get_ports {FIXED_IO_mio[2]}]
set_property DIRECTION INOUT [get_ports {FIXED_IO_mio[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {FIXED_IO_mio[1]}]
set_property DRIVE 8 [get_ports {FIXED_IO_mio[1]}]
set_property SLEW SLOW [get_ports {FIXED_IO_mio[1]}]
set_property PULLUP true [get_ports {FIXED_IO_mio[1]}]
set_property DIRECTION INOUT [get_ports {FIXED_IO_mio[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {FIXED_IO_mio[0]}]
set_property DRIVE 8 [get_ports {FIXED_IO_mio[0]}]
set_property SLEW SLOW [get_ports {FIXED_IO_mio[0]}]
set_property PULLUP true [get_ports {FIXED_IO_mio[0]}]
set_property DIRECTION INOUT [get_ports FIXED_IO_ddr_vrn]
set_property IOSTANDARD SSTL135_T_DCI [get_ports FIXED_IO_ddr_vrn]
set_property SLEW FAST [get_ports FIXED_IO_ddr_vrn]
set_property DIRECTION INOUT [get_ports FIXED_IO_ddr_vrp]
set_property IOSTANDARD SSTL135_T_DCI [get_ports FIXED_IO_ddr_vrp]
set_property SLEW FAST [get_ports FIXED_IO_ddr_vrp]
set_property DIRECTION INOUT [get_ports FIXED_IO_ps_clk]
set_property IOSTANDARD LVCMOS33 [get_ports FIXED_IO_ps_clk]
set_property DRIVE 12 [get_ports FIXED_IO_ps_clk]
set_property SLEW FAST [get_ports FIXED_IO_ps_clk]
set_property DIRECTION INOUT [get_ports FIXED_IO_ps_porb]
set_property IOSTANDARD LVCMOS33 [get_ports FIXED_IO_ps_porb]
set_property DRIVE 12 [get_ports FIXED_IO_ps_porb]
set_property SLEW FAST [get_ports FIXED_IO_ps_porb]
set_property DIRECTION INOUT [get_ports FIXED_IO_ps_srstb]
set_property IOSTANDARD LVCMOS33 [get_ports FIXED_IO_ps_srstb]
set_property DRIVE 12 [get_ports FIXED_IO_ps_srstb]
set_property SLEW FAST [get_ports FIXED_IO_ps_srstb]
set_property DIRECTION INOUT [get_ports {DDR_dqs_n[1]}]
set_property IOSTANDARD DIFF_SSTL135_T_DCI [get_ports {DDR_dqs_n[1]}]
set_property SLEW FAST [get_ports {DDR_dqs_n[1]}]
set_property DIRECTION INOUT [get_ports {DDR_dqs_n[0]}]
set_property IOSTANDARD DIFF_SSTL135_T_DCI [get_ports {DDR_dqs_n[0]}]
set_property SLEW FAST [get_ports {DDR_dqs_n[0]}]
set_property DIRECTION INOUT [get_ports {DDR_dq[15]}]
set_property IOSTANDARD SSTL135_T_DCI [get_ports {DDR_dq[15]}]
set_property SLEW FAST [get_ports {DDR_dq[15]}]
set_property DIRECTION INOUT [get_ports {DDR_dq[14]}]
set_property IOSTANDARD SSTL135_T_DCI [get_ports {DDR_dq[14]}]
set_property SLEW FAST [get_ports {DDR_dq[14]}]
set_property DIRECTION INOUT [get_ports {DDR_dq[13]}]
set_property IOSTANDARD SSTL135_T_DCI [get_ports {DDR_dq[13]}]
set_property SLEW FAST [get_ports {DDR_dq[13]}]
set_property DIRECTION INOUT [get_ports {DDR_dq[12]}]
set_property IOSTANDARD SSTL135_T_DCI [get_ports {DDR_dq[12]}]
set_property SLEW FAST [get_ports {DDR_dq[12]}]
set_property DIRECTION INOUT [get_ports {DDR_dq[11]}]
set_property IOSTANDARD SSTL135_T_DCI [get_ports {DDR_dq[11]}]
set_property SLEW FAST [get_ports {DDR_dq[11]}]
set_property DIRECTION INOUT [get_ports {DDR_dq[10]}]
set_property IOSTANDARD SSTL135_T_DCI [get_ports {DDR_dq[10]}]
set_property SLEW FAST [get_ports {DDR_dq[10]}]
set_property DIRECTION INOUT [get_ports {DDR_dq[9]}]
set_property IOSTANDARD SSTL135_T_DCI [get_ports {DDR_dq[9]}]
set_property SLEW FAST [get_ports {DDR_dq[9]}]
set_property DIRECTION INOUT [get_ports {DDR_dq[8]}]
set_property IOSTANDARD SSTL135_T_DCI [get_ports {DDR_dq[8]}]
set_property SLEW FAST [get_ports {DDR_dq[8]}]
set_property DIRECTION INOUT [get_ports {DDR_dq[7]}]
set_property IOSTANDARD SSTL135_T_DCI [get_ports {DDR_dq[7]}]
set_property SLEW FAST [get_ports {DDR_dq[7]}]
set_property DIRECTION INOUT [get_ports {DDR_dq[6]}]
set_property IOSTANDARD SSTL135_T_DCI [get_ports {DDR_dq[6]}]
set_property SLEW FAST [get_ports {DDR_dq[6]}]
set_property DIRECTION INOUT [get_ports {DDR_dq[5]}]
set_property IOSTANDARD SSTL135_T_DCI [get_ports {DDR_dq[5]}]
set_property SLEW FAST [get_ports {DDR_dq[5]}]
set_property DIRECTION INOUT [get_ports {DDR_dq[4]}]
set_property IOSTANDARD SSTL135_T_DCI [get_ports {DDR_dq[4]}]
set_property SLEW FAST [get_ports {DDR_dq[4]}]
set_property DIRECTION INOUT [get_ports {DDR_dq[3]}]
set_property IOSTANDARD SSTL135_T_DCI [get_ports {DDR_dq[3]}]
set_property SLEW FAST [get_ports {DDR_dq[3]}]
set_property DIRECTION INOUT [get_ports {DDR_dq[2]}]
set_property IOSTANDARD SSTL135_T_DCI [get_ports {DDR_dq[2]}]
set_property SLEW FAST [get_ports {DDR_dq[2]}]
set_property DIRECTION INOUT [get_ports {DDR_dq[1]}]
set_property IOSTANDARD SSTL135_T_DCI [get_ports {DDR_dq[1]}]
set_property SLEW FAST [get_ports {DDR_dq[1]}]
set_property DIRECTION INOUT [get_ports {DDR_dq[0]}]
set_property IOSTANDARD SSTL135_T_DCI [get_ports {DDR_dq[0]}]
set_property SLEW FAST [get_ports {DDR_dq[0]}]
set_property DIRECTION INOUT [get_ports {DDR_addr[14]}]
set_property IOSTANDARD SSTL135 [get_ports {DDR_addr[14]}]
set_property SLEW SLOW [get_ports {DDR_addr[14]}]
set_property DIRECTION INOUT [get_ports {DDR_addr[13]}]
set_property IOSTANDARD SSTL135 [get_ports {DDR_addr[13]}]
set_property SLEW SLOW [get_ports {DDR_addr[13]}]
set_property DIRECTION INOUT [get_ports {DDR_addr[12]}]
set_property IOSTANDARD SSTL135 [get_ports {DDR_addr[12]}]
set_property SLEW SLOW [get_ports {DDR_addr[12]}]
set_property DIRECTION INOUT [get_ports {DDR_addr[11]}]
set_property IOSTANDARD SSTL135 [get_ports {DDR_addr[11]}]
set_property SLEW SLOW [get_ports {DDR_addr[11]}]
set_property DIRECTION INOUT [get_ports {DDR_addr[10]}]
set_property IOSTANDARD SSTL135 [get_ports {DDR_addr[10]}]
set_property SLEW SLOW [get_ports {DDR_addr[10]}]
set_property DIRECTION INOUT [get_ports {DDR_addr[9]}]
set_property IOSTANDARD SSTL135 [get_ports {DDR_addr[9]}]
set_property SLEW SLOW [get_ports {DDR_addr[9]}]
set_property DIRECTION INOUT [get_ports {DDR_addr[8]}]
set_property IOSTANDARD SSTL135 [get_ports {DDR_addr[8]}]
set_property SLEW SLOW [get_ports {DDR_addr[8]}]
set_property DIRECTION INOUT [get_ports {DDR_addr[7]}]
set_property IOSTANDARD SSTL135 [get_ports {DDR_addr[7]}]
set_property SLEW SLOW [get_ports {DDR_addr[7]}]
set_property DIRECTION INOUT [get_ports {DDR_addr[6]}]
set_property IOSTANDARD SSTL135 [get_ports {DDR_addr[6]}]
set_property SLEW SLOW [get_ports {DDR_addr[6]}]
set_property DIRECTION INOUT [get_ports {DDR_addr[5]}]
set_property IOSTANDARD SSTL135 [get_ports {DDR_addr[5]}]
set_property SLEW SLOW [get_ports {DDR_addr[5]}]
set_property DIRECTION INOUT [get_ports {DDR_addr[4]}]
set_property IOSTANDARD SSTL135 [get_ports {DDR_addr[4]}]
set_property SLEW SLOW [get_ports {DDR_addr[4]}]
set_property DIRECTION INOUT [get_ports {DDR_addr[3]}]
set_property IOSTANDARD SSTL135 [get_ports {DDR_addr[3]}]
set_property SLEW SLOW [get_ports {DDR_addr[3]}]
set_property DIRECTION INOUT [get_ports {DDR_addr[2]}]
set_property IOSTANDARD SSTL135 [get_ports {DDR_addr[2]}]
set_property SLEW SLOW [get_ports {DDR_addr[2]}]
set_property DIRECTION INOUT [get_ports {DDR_addr[1]}]
set_property IOSTANDARD SSTL135 [get_ports {DDR_addr[1]}]
set_property SLEW SLOW [get_ports {DDR_addr[1]}]
set_property DIRECTION INOUT [get_ports {DDR_addr[0]}]
set_property IOSTANDARD SSTL135 [get_ports {DDR_addr[0]}]
set_property SLEW SLOW [get_ports {DDR_addr[0]}]
set_property DIRECTION INOUT [get_ports {DDR_dqs_p[1]}]
set_property IOSTANDARD DIFF_SSTL135_T_DCI [get_ports {DDR_dqs_p[1]}]
set_property SLEW FAST [get_ports {DDR_dqs_p[1]}]
set_property DIRECTION INOUT [get_ports {DDR_dqs_p[0]}]
set_property IOSTANDARD DIFF_SSTL135_T_DCI [get_ports {DDR_dqs_p[0]}]
set_property SLEW FAST [get_ports {DDR_dqs_p[0]}]
set_property DIRECTION INOUT [get_ports {DDR_ba[2]}]
set_property IOSTANDARD SSTL135 [get_ports {DDR_ba[2]}]
set_property SLEW SLOW [get_ports {DDR_ba[2]}]
set_property DIRECTION INOUT [get_ports {DDR_ba[1]}]
set_property IOSTANDARD SSTL135 [get_ports {DDR_ba[1]}]
set_property SLEW SLOW [get_ports {DDR_ba[1]}]
set_property DIRECTION INOUT [get_ports {DDR_ba[0]}]
set_property IOSTANDARD SSTL135 [get_ports {DDR_ba[0]}]
set_property SLEW SLOW [get_ports {DDR_ba[0]}]
set_property DIRECTION INOUT [get_ports {DDR_dm[1]}]
set_property IOSTANDARD SSTL135_T_DCI [get_ports {DDR_dm[1]}]
set_property SLEW FAST [get_ports {DDR_dm[1]}]
set_property DIRECTION INOUT [get_ports {DDR_dm[0]}]
set_property IOSTANDARD SSTL135_T_DCI [get_ports {DDR_dm[0]}]
set_property SLEW FAST [get_ports {DDR_dm[0]}]
set_property DIRECTION INOUT [get_ports DDR_cas_n]
set_property IOSTANDARD SSTL135 [get_ports DDR_cas_n]
set_property SLEW SLOW [get_ports DDR_cas_n]
set_property DIRECTION INOUT [get_ports DDR_ck_n]
set_property IOSTANDARD DIFF_SSTL135 [get_ports DDR_ck_n]
set_property SLEW FAST [get_ports DDR_ck_n]
set_property DIRECTION INOUT [get_ports DDR_ck_p]
set_property IOSTANDARD DIFF_SSTL135 [get_ports DDR_ck_p]
set_property SLEW FAST [get_ports DDR_ck_p]
set_property DIRECTION INOUT [get_ports DDR_cke]
set_property IOSTANDARD SSTL135 [get_ports DDR_cke]
set_property SLEW SLOW [get_ports DDR_cke]
set_property DIRECTION INOUT [get_ports DDR_cs_n]
set_property IOSTANDARD SSTL135 [get_ports DDR_cs_n]
set_property SLEW SLOW [get_ports DDR_cs_n]
set_property DIRECTION INOUT [get_ports DDR_odt]
set_property IOSTANDARD SSTL135 [get_ports DDR_odt]
set_property SLEW SLOW [get_ports DDR_odt]
set_property DIRECTION INOUT [get_ports DDR_ras_n]
set_property IOSTANDARD SSTL135 [get_ports DDR_ras_n]
set_property SLEW SLOW [get_ports DDR_ras_n]
set_property DIRECTION INOUT [get_ports DDR_reset_n]
set_property IOSTANDARD SSTL135 [get_ports DDR_reset_n]
set_property SLEW FAST [get_ports DDR_reset_n]
set_property DIRECTION INOUT [get_ports DDR_we_n]
set_property IOSTANDARD SSTL135 [get_ports DDR_we_n]
set_property SLEW SLOW [get_ports DDR_we_n]
current_instance zsys_i/video_in/axi_vdma_0/U0
create_waiver -type CDC -id {CDC-4} -user "axi_vdma" -desc "The CDC-4 warning is waived as it is safe in the context of AXI VDMA. The Address and Data value do not change until AXI transaction is complete." -tags "9601" -scope -internal -to [get_pins -hier -quiet -filter {NAME =~*AXI_LITE_REG_INTERFACE_I/GEN_AXI_LITE_IF.AXI_LITE_IF_I/GEN_LITE_IS_ASYNC.GEN_S2MM_ONLY_ASYNC_LITE_ACCESS.ip2axi_rddata_captured_s2mm_cdc_tig_reg[*]/D}] -timestamp "Fri Nov  6 12:54:44 GMT 2020"
create_waiver -type CDC -id {CDC-4} -user "axi_vdma" -desc "The CDC-4 warning is waived as it is safe in the context of AXI VDMA. The Address and Data value do not change until AXI transaction is complete." -tags "9601" -scope -internal -to [get_pins -hier -quiet -filter {NAME =~*AXI_LITE_REG_INTERFACE_I/GEN_AXI_LITE_IF.AXI_LITE_IF_I/GEN_LITE_IS_ASYNC.GEN_S2MM_ONLY_ASYNC_LITE_ACCESS.axi2ip_rdaddr_captured_s2mm_cdc_tig_reg[*]/D}] -timestamp "Fri Nov  6 12:54:44 GMT 2020"
create_waiver -type CDC -id {CDC-4} -user "axi_vdma" -desc "The CDC-4 warning is waived as it is safe in the context of AXI VDMA. The Address and Data value do not change until AXI transaction is complete." -tags "9601" -scope -internal -to [get_pins -hier -quiet -filter {NAME =~*AXI_LITE_REG_INTERFACE_I/GEN_AXI_LITE_IF.AXI_LITE_IF_I/GEN_LITE_IS_ASYNC.GEN_S2MM_ONLY_ASYNC_LITE_ACCESS.axi2ip_wraddr_captured_s2mm_cdc_tig_reg[*]/D}] -timestamp "Fri Nov  6 12:54:44 GMT 2020"
create_waiver -type CDC -id {CDC-4} -user "axi_vdma" -desc "The CDC-4 warning is waived as it is safe in the context of AXI VDMA. The Address and Data value do not change until AXI transaction is complete." -tags "9601" -scope -internal -to [get_pins -hier -quiet -filter {NAME =~*AXI_LITE_REG_INTERFACE_I/GEN_AXI_LITE_IF.AXI_LITE_IF_I/GEN_LITE_IS_ASYNC.GEN_S2MM_ONLY_ASYNC_LITE_ACCESS.s2mm_axi2ip_wrdata_cdc_tig_reg[*]/D}] -timestamp "Fri Nov  6 12:54:44 GMT 2020"
create_waiver -type CDC -id {CDC-4} -user "axi_vdma" -desc "The CDC-4 warning is waived as it is safe in the context of AXI VDMA. This value changes only on frame boundaries." -tags "9601" -scope -internal -to [get_pins -hier -quiet -filter {NAME =~*AXI_LITE_REG_INTERFACE_I/GEN_S2MM_LITE_CROSSINGS.GEN_S2MM_CROSSINGS_ASYNC.s2mm_ip2axi_frame_ptr_ref_cdc_tig_reg[*]/D}] -timestamp "Fri Nov  6 12:54:44 GMT 2020"
create_waiver -type CDC -id {CDC-4} -user "axi_vdma" -desc "The CDC-4 warning is waived as it is safe in the context of AXI VDMA. This value changes only on frame boundaries." -tags "9601" -scope -internal -to [get_pins -hier -quiet -filter {NAME =~*AXI_LITE_REG_INTERFACE_I/GEN_S2MM_LITE_CROSSINGS.GEN_S2MM_CROSSINGS_ASYNC.s2mm_ip2axi_frame_store_cdc_tig_reg[*]/D}] -timestamp "Fri Nov  6 12:54:44 GMT 2020"
current_instance -quiet
current_instance zsys_i/video_out/axi_vdma_0/U0
create_waiver -type CDC -id {CDC-4} -user "axi_vdma" -desc "The CDC-4 warning is waived as it is safe in the context of AXI VDMA. The Address and Data value do not change until AXI transaction is complete." -tags "9601" -scope -internal -to [get_pins -hier -quiet -filter {NAME =~*AXI_LITE_REG_INTERFACE_I/GEN_AXI_LITE_IF.AXI_LITE_IF_I/GEN_LITE_IS_ASYNC.GEN_MM2S_ONLY_ASYNC_LITE_ACCESS.ip2axi_rddata_captured_mm2s_cdc_tig_reg[*]/D}] -timestamp "Fri Nov  6 12:54:44 GMT 2020"
create_waiver -type CDC -id {CDC-4} -user "axi_vdma" -desc "The CDC-4 warning is waived as it is safe in the context of AXI VDMA. The Address and Data value do not change until AXI transaction is complete." -tags "9601" -scope -internal -to [get_pins -hier -quiet -filter {NAME =~*AXI_LITE_REG_INTERFACE_I/GEN_AXI_LITE_IF.AXI_LITE_IF_I/GEN_LITE_IS_ASYNC.GEN_MM2S_ONLY_ASYNC_LITE_ACCESS.axi2ip_rdaddr_captured_mm2s_cdc_tig_reg[*]/D}] -timestamp "Fri Nov  6 12:54:44 GMT 2020"
create_waiver -type CDC -id {CDC-4} -user "axi_vdma" -desc "The CDC-4 warning is waived as it is safe in the context of AXI VDMA. The Address and Data value do not change until AXI transaction is complete." -tags "9601" -scope -internal -to [get_pins -hier -quiet -filter {NAME =~*AXI_LITE_REG_INTERFACE_I/GEN_AXI_LITE_IF.AXI_LITE_IF_I/GEN_LITE_IS_ASYNC.GEN_MM2S_ONLY_ASYNC_LITE_ACCESS.axi2ip_wraddr_captured_mm2s_cdc_tig_reg[*]/D}] -timestamp "Fri Nov  6 12:54:44 GMT 2020"
create_waiver -type CDC -id {CDC-4} -user "axi_vdma" -desc "The CDC-4 warning is waived as it is safe in the context of AXI VDMA. The Address and Data value do not change until AXI transaction is complete." -tags "9601" -scope -internal -to [get_pins -hier -quiet -filter {NAME =~*AXI_LITE_REG_INTERFACE_I/GEN_AXI_LITE_IF.AXI_LITE_IF_I/GEN_LITE_IS_ASYNC.GEN_MM2S_ONLY_ASYNC_LITE_ACCESS.mm2s_axi2ip_wrdata_cdc_tig_reg[*]/D}] -timestamp "Fri Nov  6 12:54:44 GMT 2020"
create_waiver -type CDC -id {CDC-4} -user "axi_vdma" -desc "The CDC-4 warning is waived as it is safe in the context of AXI VDMA. This value changes only on frame boundaries." -tags "9601" -scope -internal -to [get_pins -hier -quiet -filter {NAME =~*AXI_LITE_REG_INTERFACE_I/GEN_MM2S_LITE_CROSSINGS.GEN_MM2S_CROSSINGS_ASYNC.mm2s_ip2axi_frame_ptr_ref_cdc_tig_reg[*]/D}] -timestamp "Fri Nov  6 12:54:45 GMT 2020"
create_waiver -type CDC -id {CDC-4} -user "axi_vdma" -desc "The CDC-4 warning is waived as it is safe in the context of AXI VDMA. This value changes only on frame boundaries." -tags "9601" -scope -internal -to [get_pins -hier -quiet -filter {NAME =~*AXI_LITE_REG_INTERFACE_I/GEN_MM2S_LITE_CROSSINGS.GEN_MM2S_CROSSINGS_ASYNC.mm2s_ip2axi_frame_store_cdc_tig_reg[*]/D}] -timestamp "Fri Nov  6 12:54:45 GMT 2020"
current_instance -quiet
current_instance zsys_i/video_in/axis_data_fifo_0/inst/gen_fifo.xpm_fifo_axis_inst/xpm_fifo_base_inst/gen_cdc_pntr.rd_pntr_cdc_inst
create_waiver -type CDC -id {CDC-6} -user "xpm_cdc" -desc "The CDC-6 warning is waived as it is safe in the context of XPM_CDC_GRAY." -tags "1009444" -scope -internal -from [get_pins -quiet src_gray_ff_reg*/C] -to [get_pins -quiet dest_graysync_ff_reg*/D] -timestamp "Fri Nov  6 12:54:53 GMT 2020"
current_instance -quiet
current_instance zsys_i/video_in/axis_data_fifo_0/inst/gen_fifo.xpm_fifo_axis_inst/xpm_fifo_base_inst/gen_cdc_pntr.wr_pntr_cdc_inst
create_waiver -type CDC -id {CDC-6} -user "xpm_cdc" -desc "The CDC-6 warning is waived as it is safe in the context of XPM_CDC_GRAY." -tags "1009444" -scope -internal -from [get_pins -quiet src_gray_ff_reg*/C] -to [get_pins -quiet dest_graysync_ff_reg*/D] -timestamp "Fri Nov  6 12:54:53 GMT 2020"
current_instance -quiet
current_instance zsys_i/video_in/axis_data_fifo_2/inst/gen_fifo.xpm_fifo_axis_inst/xpm_fifo_base_inst/gen_cdc_pntr.rd_pntr_cdc_inst
create_waiver -type CDC -id {CDC-6} -user "xpm_cdc" -desc "The CDC-6 warning is waived as it is safe in the context of XPM_CDC_GRAY." -tags "1009444" -scope -internal -from [get_pins -quiet src_gray_ff_reg*/C] -to [get_pins -quiet dest_graysync_ff_reg*/D] -timestamp "Fri Nov  6 12:54:53 GMT 2020"
current_instance -quiet
current_instance zsys_i/video_in/axis_data_fifo_2/inst/gen_fifo.xpm_fifo_axis_inst/xpm_fifo_base_inst/gen_cdc_pntr.wr_pntr_cdc_inst
create_waiver -type CDC -id {CDC-6} -user "xpm_cdc" -desc "The CDC-6 warning is waived as it is safe in the context of XPM_CDC_GRAY." -tags "1009444" -scope -internal -from [get_pins -quiet src_gray_ff_reg*/C] -to [get_pins -quiet dest_graysync_ff_reg*/D] -timestamp "Fri Nov  6 12:54:53 GMT 2020"
current_instance -quiet
current_instance zsys_i/video_out/v_axi4s_vid_out_0/inst/COUPLER_INST/generate_async_fifo.FIFO_INST/XPM_FIFO_ASYNC_INST/gnuram_async_fifo.xpm_fifo_base_inst/gen_cdc_pntr.rd_pntr_cdc_inst
create_waiver -type CDC -id {CDC-6} -user "xpm_cdc" -desc "The CDC-6 warning is waived as it is safe in the context of XPM_CDC_GRAY." -tags "1009444" -scope -internal -from [get_pins -quiet src_gray_ff_reg*/C] -to [get_pins -quiet dest_graysync_ff_reg*/D] -timestamp "Fri Nov  6 12:54:53 GMT 2020"
current_instance -quiet
current_instance zsys_i/video_out/v_axi4s_vid_out_0/inst/COUPLER_INST/generate_async_fifo.FIFO_INST/XPM_FIFO_ASYNC_INST/gnuram_async_fifo.xpm_fifo_base_inst/gen_cdc_pntr.wr_pntr_cdc_inst
create_waiver -type CDC -id {CDC-6} -user "xpm_cdc" -desc "The CDC-6 warning is waived as it is safe in the context of XPM_CDC_GRAY." -tags "1009444" -scope -internal -from [get_pins -quiet src_gray_ff_reg*/C] -to [get_pins -quiet dest_graysync_ff_reg*/D] -timestamp "Fri Nov  6 12:54:53 GMT 2020"
current_instance -quiet
current_instance zsys_i/video_out/v_axi4s_vid_out_0/inst/COUPLER_INST/generate_async_fifo.FIFO_INST/XPM_FIFO_ASYNC_INST/gnuram_async_fifo.xpm_fifo_base_inst/gen_cdc_pntr.wr_pntr_cdc_dc_inst
create_waiver -type CDC -id {CDC-6} -user "xpm_cdc" -desc "The CDC-6 warning is waived as it is safe in the context of XPM_CDC_GRAY." -tags "1009444" -scope -internal -from [get_pins -quiet src_gray_ff_reg*/C] -to [get_pins -quiet dest_graysync_ff_reg*/D] -timestamp "Fri Nov  6 12:54:53 GMT 2020"
current_instance -quiet
current_instance dbg_hub/inst
create_waiver -type CDC -id {CDC-6} -user "xsdbm" -desc "CDC is handled through handshake process" -tags "1025927" -scope -internal -from [get_pins -filter REF_PIN_NAME=~C -of_objects [get_cells -hierarchical -filter {NAME =~ "*BSCANID.u_xsdbm_id/CORE_XSDB.UUT_MASTER/U_ICON_INTERFACE/U_CMD2/stat_reg_reg[*]"}]] -to [get_pins -filter REF_PIN_NAME=~D -of_objects [get_cells -hierarchical -filter {NAME =~ "*BSCANID.u_xsdbm_id/CORE_XSDB.UUT_MASTER/U_ICON_INTERFACE/U_CMD2/stat_reg_1_reg[*]"}]] -timestamp "Fri Nov  6 12:56:06 GMT 2020"
create_waiver -type CDC -id {CDC-6} -user "xsdbm" -desc "CDC is handled through handshake process" -tags "1025927" -scope -internal -from [get_pins -filter REF_PIN_NAME=~C -of_objects [get_cells -hierarchical -filter {NAME =~ "*BSCANID.u_xsdbm_id/CORE_XSDB.UUT_MASTER/U_ICON_INTERFACE/U_CMD3/stat_reg_reg[*]"}]] -to [get_pins -filter REF_PIN_NAME=~D -of_objects [get_cells -hierarchical -filter {NAME =~ "*BSCANID.u_xsdbm_id/CORE_XSDB.UUT_MASTER/U_ICON_INTERFACE/U_CMD3/stat_reg_1_reg[*]"}]] -timestamp "Fri Nov  6 12:56:06 GMT 2020"
create_waiver -type CDC -id {CDC-6} -user "xsdbm" -desc "CDC is handled through handshake process" -tags "1025927" -scope -internal -from [get_pins -filter REF_PIN_NAME=~C -of_objects [get_cells -hierarchical -filter {NAME =~ "*BSCANID.u_xsdbm_id/CORE_XSDB.UUT_MASTER/U_ICON_INTERFACE/U_CMD6_WR/U_WR_FIFO/SUBCORE_FIFO.xsdbm_v3_0_0_wrfifo_inst/inst_fifo_gen/gconvfifo.rf/grf.rf/gntv_or_sync_fifo.gcx.clkx/gnxpm_cdc.wr_pntr_gc_reg[*]"}]] -to [get_pins -filter REF_PIN_NAME=~D -of_objects [get_cells -hierarchical -filter {NAME =~ "*BSCANID.u_xsdbm_id/CORE_XSDB.UUT_MASTER/U_ICON_INTERFACE/U_CMD6_WR/U_WR_FIFO/SUBCORE_FIFO.xsdbm_v3_0_0_wrfifo_inst/inst_fifo_gen/gconvfifo.rf/grf.rf/gntv_or_sync_fifo.gcx.clkx/*.gsync_stage[1].rd_stg_inst/Q_reg_reg[*]"}]] -timestamp "Fri Nov  6 12:56:06 GMT 2020"
create_waiver -type CDC -id {CDC-6} -user "xsdbm" -desc "CDC is handled through handshake process" -tags "1025927" -scope -internal -from [get_pins -filter REF_PIN_NAME=~C -of_objects [get_cells -hierarchical -filter {NAME =~ "*BSCANID.u_xsdbm_id/CORE_XSDB.UUT_MASTER/U_ICON_INTERFACE/U_CMD6_RD/U_RD_FIFO/SUBCORE_FIFO.xsdbm_v3_0_0_rdfifo_inst/inst_fifo_gen/gconvfifo.rf/grf.rf/gntv_or_sync_fifo.gcx.clkx/gnxpm_cdc.wr_pntr_gc_reg[*]"}]] -to [get_pins -filter REF_PIN_NAME=~D -of_objects [get_cells -hierarchical -filter {NAME =~ "*BSCANID.u_xsdbm_id/CORE_XSDB.UUT_MASTER/U_ICON_INTERFACE/U_CMD6_RD/U_RD_FIFO/SUBCORE_FIFO.xsdbm_v3_0_0_rdfifo_inst/inst_fifo_gen/gconvfifo.rf/grf.rf/gntv_or_sync_fifo.gcx.clkx/*.gsync_stage[1].rd_stg_inst/Q_reg_reg[*]"}]] -timestamp "Fri Nov  6 12:56:06 GMT 2020"
create_waiver -type CDC -id {CDC-6} -user "xsdbm" -desc "CDC is handled through handshake process" -tags "1025927" -scope -internal -from [get_pins -filter REF_PIN_NAME=~C -of_objects [get_cells -hierarchical -filter {NAME =~ "*BSCANID.u_xsdbm_id/CORE_XSDB.UUT_MASTER/U_ICON_INTERFACE/U_CMD6_WR/U_WR_FIFO/SUBCORE_FIFO.xsdbm_v3_0_0_wrfifo_inst/inst_fifo_gen/gconvfifo.rf/grf.rf/gntv_or_sync_fifo.gcx.clkx/gnxpm_cdc.rd_pntr_gc_reg[*]"}]] -to [get_pins -filter REF_PIN_NAME=~D -of_objects [get_cells -hierarchical -filter {NAME =~ "*BSCANID.u_xsdbm_id/CORE_XSDB.UUT_MASTER/U_ICON_INTERFACE/U_CMD6_WR/U_WR_FIFO/SUBCORE_FIFO.xsdbm_v3_0_0_wrfifo_inst/inst_fifo_gen/gconvfifo.rf/grf.rf/gntv_or_sync_fifo.gcx.clkx/*.gsync_stage[1].wr_stg_inst/Q_reg_reg[*]"}]] -timestamp "Fri Nov  6 12:56:06 GMT 2020"
create_waiver -type CDC -id {CDC-6} -user "xsdbm" -desc "CDC is handled through handshake process" -tags "1025927" -scope -internal -from [get_pins -filter REF_PIN_NAME=~C -of_objects [get_cells -hierarchical -filter {NAME =~ "*BSCANID.u_xsdbm_id/CORE_XSDB.UUT_MASTER/U_ICON_INTERFACE/U_CMD6_RD/U_RD_FIFO/SUBCORE_FIFO.xsdbm_v3_0_0_rdfifo_inst/inst_fifo_gen/gconvfifo.rf/grf.rf/gntv_or_sync_fifo.gcx.clkx/gnxpm_cdc.rd_pntr_gc_reg[*]"}]] -to [get_pins -filter REF_PIN_NAME=~D -of_objects [get_cells -hierarchical -filter {NAME =~ "*BSCANID.u_xsdbm_id/CORE_XSDB.UUT_MASTER/U_ICON_INTERFACE/U_CMD6_RD/U_RD_FIFO/SUBCORE_FIFO.xsdbm_v3_0_0_rdfifo_inst/inst_fifo_gen/gconvfifo.rf/grf.rf/gntv_or_sync_fifo.gcx.clkx/*.gsync_stage[1].wr_stg_inst/Q_reg_reg[*]"}]] -timestamp "Fri Nov  6 12:56:06 GMT 2020"
create_waiver -type CDC -id {CDC-6} -user "xsdbm" -desc "CDC is handled through handshake process" -tags "1025927" -scope -internal -from [get_pins -filter REF_PIN_NAME=~C -of_objects [get_cells -hierarchical -filter {NAME =~ "*BSCANID.u_xsdbm_id/CORE_XSDB.UUT_MASTER/U_ICON_INTERFACE/U_CMD7_STAT/stat_reg_reg[*]"}]] -to [get_pins -filter REF_PIN_NAME=~D -of_objects [get_cells -hierarchical -filter {NAME =~ "*BSCANID.u_xsdbm_id/CORE_XSDB.UUT_MASTER/U_ICON_INTERFACE/U_CMD7_STAT/stat_reg_1_reg[*]"}]] -timestamp "Fri Nov  6 12:56:06 GMT 2020"
create_waiver -type CDC -id {CDC-15} -user "xsdbm" -desc "CDC is handled through handshake process" -tags "1025927" -scope -internal -from [get_pins -filter REF_PIN_NAME=~CLK -of_objects [get_cells -hierarchical -filter {NAME =~ "*BSCANID.u_xsdbm_id/CORE_XSDB.UUT_MASTER/U_ICON_INTERFACE/U_CMD6_RD/U_RD_FIFO/SUBCORE_FIFO.xsdbm_v3_0_0_rdfifo_inst/inst_fifo_gen/gconvfifo.rf/grf.rf/gntv_or_sync_fifo.mem/gdm.dm_gen.dm/RAM_reg*/RAM*"}]] -to [get_pins -filter REF_PIN_NAME=~D -of_objects [get_cells -hierarchical -filter {NAME =~ *U_RD_FIFO*gdm.dm_gen.dm*/gpr1.dout_i_reg*}]] -timestamp "Fri Nov  6 12:56:06 GMT 2020"
create_waiver -type CDC -id {CDC-15} -user "xsdbm" -desc "CDC is handled through handshake process" -tags "1025927" -scope -internal -from [get_pins -filter REF_PIN_NAME=~CLK -of_objects [get_cells -hierarchical -filter {NAME =~ "*BSCANID.u_xsdbm_id/CORE_XSDB.UUT_MASTER/U_ICON_INTERFACE/U_CMD6_WR/U_WR_FIFO/SUBCORE_FIFO.xsdbm_v3_0_0_wrfifo_inst/inst_fifo_gen/gconvfifo.rf/grf.rf/gntv_or_sync_fifo.mem/gdm.dm_gen.dm/RAM_reg*/RAM*"}]] -to [get_pins -filter REF_PIN_NAME=~D -of_objects [get_cells -hierarchical -filter {NAME =~ *U_WR_FIFO*gdm.dm_gen.dm*/gpr1.dout_i_reg*}]] -timestamp "Fri Nov  6 12:56:06 GMT 2020"
create_waiver -type CDC -id {CDC-15} -user "xsdbm" -desc "CDC is handled through handshake process" -tags "1025927" -scope -internal -from [get_pins -filter REF_PIN_NAME=~C -of_objects [get_cells -hierarchical -filter {NAME =~ "*BSCANID.u_xsdbm_id/CORE_XSDB.UUT_MASTER/U_ICON_INTERFACE/U_CMD1/ctl_reg_reg[0]"}]] -to [get_pins -filter REF_PIN_NAME=~R -of_objects [get_cells -hierarchical -filter {NAME =~ "*BSCANID.u_xsdbm_id/CORE_XSDB.UUT_MASTER/U_ICON_INTERFACE/U_CMD4/shift_reg_in_reg[*]"}]] -timestamp "Fri Nov  6 12:56:06 GMT 2020"
create_waiver -type CDC -id {CDC-15} -user "xsdbm" -desc "CDC is handled through handshake process" -tags "1025927" -scope -internal -from [get_pins -filter REF_PIN_NAME=~C -of_objects [get_cells -hierarchical -filter {NAME =~ "*BSCANID.u_xsdbm_id/CORE_XSDB.UUT_MASTER/U_ICON_INTERFACE/U_CMD1/ctl_reg_reg[0]"}]] -to [get_pins -filter REF_PIN_NAME=~R -of_objects [get_cells -hierarchical -filter {NAME =~ "*BSCANID.u_xsdbm_id/CORE_XSDB.UUT_MASTER/U_ICON_INTERFACE/U_CMD5/shift_reg_in_reg[*]"}]] -timestamp "Fri Nov  6 12:56:06 GMT 2020"
create_waiver -type CDC -id {CDC-15} -user "xsdbm" -desc "CDC is handled through handshake process" -tags "1025927" -scope -internal -from [get_pins -filter REF_PIN_NAME=~C -of_objects [get_cells -hierarchical -filter {NAME =~ "*BSCANID.u_xsdbm_id/CORE_XSDB.UUT_MASTER/U_ICON_INTERFACE/U_CMD1/ctl_reg_reg[0]"}]] -to [get_pins -filter REF_PIN_NAME=~R -of_objects [get_cells -hierarchical -filter {NAME =~ "*BSCANID.u_xsdbm_id/CORE_XSDB.UUT_MASTER/U_ICON_INTERFACE/U_CMD7_CTL/shift_reg_in_reg[*]"}]] -timestamp "Fri Nov  6 12:56:06 GMT 2020"
create_waiver -type CDC -id {CDC-15} -user "xsdbm" -desc "CDC is handled through handshake process" -tags "1025927" -scope -internal -from [get_pins -filter REF_PIN_NAME=~C -of_objects [get_cells -hierarchical -filter {NAME =~ "*BSCANID.u_xsdbm_id/CORE_XSDB.UUT_MASTER/U_ICON_INTERFACE/U_CMD1/shift_reg_in_reg[*]"}]] -to [get_pins -filter REF_PIN_NAME=~D -of_objects [get_cells -hierarchical -filter {NAME =~ "*BSCANID.u_xsdbm_id/CORE_XSDB.UUT_MASTER/U_ICON_INTERFACE/U_CMD1/ctl_reg_reg[*]"}]] -timestamp "Fri Nov  6 12:56:06 GMT 2020"
create_waiver -type CDC -id {CDC-15} -user "xsdbm" -desc "CDC is handled through handshake process" -tags "1025927" -scope -internal -from [get_pins -filter REF_PIN_NAME=~C -of_objects [get_cells -hierarchical -filter {NAME =~ "*BSCANID.u_xsdbm_id/CORE_XSDB.UUT_MASTER/U_ICON_INTERFACE/U_CMD4/shift_reg_in_reg[*]"}]] -to [get_pins -filter REF_PIN_NAME=~D -of_objects [get_cells -hierarchical -filter {NAME =~ "*BSCANID.u_xsdbm_id/CORE_XSDB.UUT_MASTER/U_ICON_INTERFACE/U_CMD4/ctl_reg_reg[*]"}]] -timestamp "Fri Nov  6 12:56:06 GMT 2020"
create_waiver -type CDC -id {CDC-15} -user "xsdbm" -desc "CDC is handled through handshake process" -tags "1025927" -scope -internal -from [get_pins -filter REF_PIN_NAME=~C -of_objects [get_cells -hierarchical -filter {NAME =~ "*BSCANID.u_xsdbm_id/CORE_XSDB.UUT_MASTER/U_ICON_INTERFACE/U_CMD5/shift_reg_in_reg[*]"}]] -to [get_pins -filter REF_PIN_NAME=~D -of_objects [get_cells -hierarchical -filter {NAME =~ "*BSCANID.u_xsdbm_id/CORE_XSDB.UUT_MASTER/U_ICON_INTERFACE/U_CMD5/ctl_reg_reg[*]"}]] -timestamp "Fri Nov  6 12:56:06 GMT 2020"
create_waiver -type CDC -id {CDC-15} -user "xsdbm" -desc "CDC is handled through handshake process" -tags "1025927" -scope -internal -from [get_pins -filter REF_PIN_NAME=~C -of_objects [get_cells -hierarchical -filter {NAME =~ "*BSCANID.u_xsdbm_id/CORE_XSDB.UUT_MASTER/U_ICON_INTERFACE/U_CMD7_CTL/shift_reg_in_reg[0]"}]] -to [get_pins -filter REF_PIN_NAME=~D -of_objects [get_cells -hierarchical -filter {NAME =~ "*BSCANID.u_xsdbm_id/CORE_XSDB.UUT_MASTER/U_ICON_INTERFACE/U_CMD7_STAT/stat_reg_reg[0]"}]] -timestamp "Fri Nov  6 12:56:06 GMT 2020"
create_waiver -type CDC -id {CDC-15} -user "xsdbm" -desc "CDC is handled through handshake process" -tags "1025927" -scope -internal -from [get_pins -filter REF_PIN_NAME=~C -of_objects [get_cells -hierarchical -filter {NAME =~ "*BSCANID.u_xsdbm_id/CORE_XSDB.UUT_MASTER/U_ICON_INTERFACE/U_CMD7_CTL/shift_reg_in_reg[*]"}]] -to [get_pins -filter REF_PIN_NAME=~D -of_objects [get_cells -hierarchical -filter {NAME =~ "*BSCANID.u_xsdbm_id/CORE_XSDB.UUT_MASTER/U_ICON_INTERFACE/U_CMD7_CTL/ctl_reg_reg[*]"}]] -timestamp "Fri Nov  6 12:56:06 GMT 2020"
create_waiver -type CDC -id {CDC-15} -user "xsdbm" -desc "CDC is handled through handshake process" -tags "1025927" -scope -internal -from [get_pins -filter REF_PIN_NAME=~C -of_objects [get_cells -hierarchical -filter {NAME =~ "*BSCANID.u_xsdbm_id/CORE_XSDB.UUT_MASTER/U_ICON_INTERFACE/rddata_rst_reg"}]] -to [get_pins -filter REF_PIN_NAME=~CLR -of_objects [get_cells -hierarchical -filter {NAME =~ "*BSCANID.u_xsdbm_id/CORE_XSDB.UUT_MASTER/U_ICON_INTERFACE/U_CMD6_RD/shift_reg_in_reg[*]"}]] -timestamp "Fri Nov  6 12:56:06 GMT 2020"
#revert back to original instance
current_instance -quiet
